package com.ruoyi.system.mapper.visit.dr;

import com.ruoyi.system.domain.visit.dr.VisitDrRule;
import com.ruoyi.system.domain.visit.dr.VisitDrRuleExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitDrRuleMapper {
    long countByExample(VisitDrRuleExample example);

    int deleteByExample(VisitDrRuleExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitDrRule record);

    int insertSelective(VisitDrRule record);

    List<VisitDrRule> selectByExample(VisitDrRuleExample example);

    VisitDrRule selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitDrRule record, @Param("example") VisitDrRuleExample example);

    int updateByExample(@Param("record") VisitDrRule record, @Param("example") VisitDrRuleExample example);

    int updateByPrimaryKeySelective(VisitDrRule record);

    int updateByPrimaryKey(VisitDrRule record);
}